Bug 1694324 - tilix is missing a dependency on librsvg2
Summary: tilix is missing a dependency on librsvg2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tilix
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-30 13:05 UTC by Jason Montleon
Modified: 2019-04-09 02:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 00:01:27 UTC


Attachments (Terms of Use)

Description Jason Montleon 2019-03-30 13:05:44 UTC
Description of problem:
Without librsvg2 tilix will crash

Version-Release number of selected component (if applicable):
tilix-1.8.9-1.fc29.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Do a minimal install
2. Install tilix
3. Attempt to run tilix (in this case using Chrome's linux integration tools, maybe X forwarding or VNC would suffice)

Actual results:
tilix
object.Exception@generated/gtkd/gtkd/Loader.d(125): Library load failed (librsvg-2.so.2): librsvg-2.so.2: cannot open shared object file: No such file or directory
Illegal instruction

Expected results:
tilix runs

Additional info:
After installing librsvg2 tilix works as expected.

Comment 1 Kalev Lember 2019-03-30 18:41:15 UTC
I think the librsvg2 dep belongs to gtkd that does the library dynamic loading. I've added that in https://src.fedoraproject.org/rpms/gtkd/c/9609acfaa01b68206017e97cb70b62d7d361c93e?branch=master

Comment 2 Fedora Update System 2019-03-30 19:19:41 UTC
gtkd-3.8.5-4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-63bd850607

Comment 3 Fedora Update System 2019-03-30 19:19:49 UTC
gtkd-3.8.5-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6010c088d0

Comment 4 Fedora Update System 2019-03-31 01:05:50 UTC
gtkd-3.8.5-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-63bd850607

Comment 5 Fedora Update System 2019-03-31 18:48:55 UTC
gtkd-3.8.5-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6010c088d0

Comment 6 Fedora Update System 2019-04-04 00:01:27 UTC
gtkd-3.8.5-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-09 02:18:53 UTC
gtkd-3.8.5-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.